Skip to content

Gets all of the application processes in the system.

Request

This method will scan all application processes and and return them to the caller.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

exclusiveStartKeystring

The start key, if you're making a subsequent request

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/applicationProcesses/{tenantId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The application processeswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
applicable_originsArray of strings(Applicable Origins)

The origin types that are applicable to this process - blank for just principle

application_confirmation_emailobject(Application Confirmation Email)required

The email to send when the application is received

approval_chapter_idsArray of strings, non-empty(Approval Chapters)required
approval_lambda_function_idstring(Approval Lambda Function)required
change_optionsobject(Change Options)required
checkout_settingsobject(Checkout Settings)required
contact_form_optionsobject(Contact Form Options)required
custom_application_generation_logic_optionsobject(Custom Application Generation Logic Options)required
custom_application_pre_processing_lambda_function_idstring(Custom Application Pre Processing Lambda Function)required
customer_typestring(Customer Type)required
Enum:"contact""organization"
descriptionstring(Description)

A description of the process to help the user understand whether to choose

display_in_portalboolean(Display In Portal)

Whether or not to hide in the portal

display_in_portal_asstring(Display In Portal As)

How to display this process in the portal

display_ordernumber, (float)(Display Order)

The display order

do_not_send_activation_email_until_membership_is_paidboolean(Do Not Send Activation Email Until Membership Is Paid)

If true, the confirmation email is sent out when a user completes but does not pay, and an activation email goes out upon payment

do_not_set_default_renewal_packageboolean(Do Not Set Default Renewal Package)

If true, do NOT set the default package for renewals, instead forcing them to choose one

eligibility_criteriaobject(Eligibility Criteria)required

The criteria for eligibility

enable_application_confirmation_emailboolean(Enable Application Confirmation Email)

Whether or not an email should be sent when the application is received

enable_custom_application_generation_logicboolean(Enable Custom Application Generation Logic)

If set, the application generation logic will call a custom lambda function

enable_custom_application_pre_processingboolean(Enable Custom Application Pre Processing)

If set, custom order generation logic is run

enable_eligibility_criteriaboolean(Enable Eligibility Criteria)

Should allow eligibility criteria

enable_membership_activation_emailboolean(Enable Membership Activation Email)

Whether or not to send an email when the membership is actually activated

enable_order_generation_rulesboolean(Enable Order Generation Rules)

Whether order generation rules apply

enable_section_restrictionsboolean(Enable Section Restrictions)

Whether section requirements are enabled for this membership type

form_idstring(Form)^membership-applications__.*

The default application form for this process membership

idstring(ID)^[\w|-]+$required

The unique, string identifier of this application process

is_activeboolean(Is Active)

Whether or not this process is active

membership_activation_emailobject(Membership Activation Email)required

Email to send once the membership is activated

membership_package_idsArray of strings, non-empty(Membership Packages)required
membership_type_idsArray of strings, non-empty(Membership Types)required
memberships_require_approvalstring(Memberships Require Approval)

Whether or not memberships require approval

Enum:"always""based on chapter""custom""never"
namestring(Name)required

The name of the application process

order_generation_rulesArray of objects, non-emptyrequired
organization_form_optionsobject(Organization Form Options)required
organization_type_idsArray of strings, non-empty(Organization Types)required
organizational_membership_optionsobject(Organizational Membership Options)required
override_checkout_settingsboolean(Override Checkout Settings)

Whether or not to override POC settings

reinstatement_optionsobject(Reinstatement Options)required
renewal_optionsobject(Renewal Options)required
restrict_membership_packagesboolean(Restrict Membership Packages)

The packages in this path are restricted

restrict_membership_typesboolean(Restrict Membership Types)

The membership types in this path are restricted

restrict_organization_typesboolean(Restrict Organization Types)

Restrict to certain types of organizations

section_restrictionsobject(Section Restrictions)required
show_contact_formboolean(Show Contact Form)

Whether or not to show a contact form

show_organization_formboolean(Show Organization Form)

Whether or not to show an organization form

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

typestring(Type)required
Enum:"change affiliations""join""reinstatement""renewal"
]
Response
[ { "applicable_origins": [ … ], "application_confirmation_email": { … }, "approval_chapter_ids": [ … ], "approval_lambda_function_id": "string", "change_options": { … }, "checkout_settings": { … }, "contact_form_options": { … }, "custom_application_generation_logic_options": { … }, "custom_application_pre_processing_lambda_function_id": "string", "customer_type": "contact", "description": "string", "display_in_portal": true, "display_in_portal_as": "string", "display_order": 0.1, "do_not_send_activation_email_until_membership_is_paid": true, "do_not_set_default_renewal_package": true, "eligibility_criteria": {}, "enable_application_confirmation_email": true, "enable_custom_application_generation_logic": true, "enable_custom_application_pre_processing": true, "enable_eligibility_criteria": true, "enable_membership_activation_email": true, "enable_order_generation_rules": true, "enable_section_restrictions": true, "form_id": "string", "id": "string", "is_active": true, "membership_activation_email": { … }, "membership_package_ids": [ … ], "membership_type_ids": [ … ], "memberships_require_approval": "always", "name": "string", "order_generation_rules": [ … ], "organization_form_options": { … }, "organization_type_ids": [ … ], "organizational_membership_options": { … }, "override_checkout_settings": true, "reinstatement_options": { … }, "renewal_options": { … }, "restrict_membership_packages": true, "restrict_membership_types": true, "restrict_organization_types": true, "section_restrictions": { … }, "show_contact_form": true, "show_organization_form": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "type": "change affiliations" } ]